<form action="/wp-admin/options-general.php?page=amocrm_wpf&form_id=<?= $form['ID'] ?>" method="post" id="amocrm_wpf">
    <input type="hidden" name="action" value="save_form">
    <input type="hidden" name="nonce" value="<?php echo wp_create_nonce('wpforms-amocrm-form'); ?>">
    <input type="hidden" name="form_id" value="<?= $form['ID'] ?>">
    <div class="wrap">
        <h2 class="aci-title">
            <span><?= $form['post_title'] ?> :: Настройка формы для интеграции с amoCRM</span> 
            <a class="button button-order button-large" target="_blank" href="https://devamo.ru/wpforms/payurl?url=<?php echo $_SERVER['HTTP_HOST'] ?>">Оплатить подписку</a>
            <a class="button button-auth button-large" target="_blank" href="https://devamo.ru/wpforms/button">Авторизация в amoCRM</a>
            <a class="button button-default button-large" href="/wp-admin/options-general.php?page=amocrm_wpf&clear=1">Обновить данные amoCRM</a>
        </h2>

        <div class="card" style="max-width:100%">
            <h2 class="title">Основные настройки</h2>
            <hr>

            <table class="form-table">
		        <tbody>
                    <tr>
                        <th>Отправлять в amoCRM</th>
                        <td>
                            <select name="wpforms-amocrm[status]">
                                <option value="1" <?php echo  $fields['status'] ? 'selected' : '' ?> >Да</option>
                                <option value="0" <?php echo !$fields['status'] ? 'selected' : '' ?> >Нет</option>
                            </select>
                        </td>
                        <td></td>
                    </tr>

                    <tr>
                        <th>Название сделки</th>
                        <td>
                            <input id="lead_name" type="text" name="wpforms-amocrm[lead_name]" value="<?php echo $fields['lead_name'] ?>">
                        </td>
                        <td>
                            <div class="form_tags">
                                <span class="btn-xs btn-outline-primary"><?php echo implode('</span>, <span class="btn-xs btn-outline-primary">', $all_tags) ?></span>
                            </div>
                        </td>
                    </tr>

                    <tr>
                        <th>Воронка</th>
                        <td>
                            <select id="pipeline_id" name="wpforms-amocrm[pipeline_id]">
                                <?php foreach($amoPipelines as $pipeline_id => $pipeline){ ?>
                                    <option value="<?php echo $pipeline_id ?>" <?php echo $fields['pipeline_id'] == $pipeline_id ? 'selected' : ''; ?>><?php echo $pipeline['name']; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <th>Этап воронки</th>
                        <td><select id="p_status" name="wpforms-amocrm[p_status]"></select></td>
                        <td></td>
                    </tr>
                    <tr>
                        <th>Ответственный</th>
                        <td>
                            <select name="wpforms-amocrm[responsible_user_id]">
                                <option value="0">Не выбрано</option>
                                <?php foreach($amoManagers as $manager_id => $manager){ ?>
                                <option value="<?php echo $manager_id ?>" <?php echo $fields['responsible_user_id'] == $manager_id ? 'selected' : ''; ?>><?php echo $manager; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <th>Бюджет</th>
                        <td>
                            <input type="number" name="wpforms-amocrm[price]" value="<?php echo $fields['price'] ?>" placeholder="Укажите бюджет сделки">
                        </td>
                        <td></td>
                    </tr>		
		        </tbody>
		    </table>

            <h2>Настройка формы</h2>
            <hr>
            <table class="form-table">
		        <tbody>

                <?php if($form['fields']){ ?>
                <?php foreach($form['fields'] as $field_key => $form_field){ ?>
                    <tr>
                        <th>[<?= $form_field['label'] ?>]</th>
                        <td>
                            <select name="wpforms-amocrm[fields][<?= $field_key ?>]" class="large-text">
                                <option value="0">Не выбрано</option>
                                <?php foreach($amoFields as $field_id => $amoField){ ?>
                                <option value="<?php echo $field_id ?>" <?= $field_id === $fields['fields'][$field_key] ? 'selected' : '' ?>><?php echo $amoField ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td></td>
                    </tr>
                <?php } ?>
                <?php } ?>
                                    
		        </tbody>  
		    </table>

            <h2>Системные значения</h2>
            <hr>
            <table class="form-table">
		        <tbody>

                <?php if($custom_tags){ ?>
                <?php foreach($custom_tags as $custom_tag){ ?>

                    <tr>
                        <th>[<?= $custom_tag ?>]</th>
                        <td>
                            <select name="wpforms-amocrm[custom_tags][<?= $custom_tag ?>]" class="large-text">
                                <option value="0" <?php echo $fields['custom_tags'][$custom_tag] === '0' ? 'selected' : ''; ?>>Не выбрано</option>
                                <?php foreach($amoFields as $field_id => $amoField){ ?>
                                <option value="<?php echo $field_id ?>" <?= $field_id === $fields['custom_tags'][$custom_tag] ? 'selected' : '' ?>><?php echo $amoField ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td></td>
                    </tr>

                <?php } ?>
                <?php } ?>
                                    
		        </tbody>  
		    </table>

            <h2>Теги сделки</h2>
            <hr>
            <table class="form-table">
		        <tbody>
                <?php if(isset($fields['tags'])){ ?>
                <?php foreach($fields['tags'] as $tag){ ?>
                    <tr>
                        <th></th>
                        <td>
                            <input type="text" name="wpforms-amocrm[tags][]" value="<?php echo $tag ?>">
                        </td>
                        <td>
                            <div class="button button-primary button-large removetag">Удалить</div>
                        </td>
                    </tr>
                <?php } ?>
                <?php } ?>
                    <tr>
                        <th></th>
                        <td></td>
                        <td>
                            <div class="button button-primary button-large newtag">Добавить</div>
                        </td>
                    </tr>
		        </tbody>  
		    </table>

            <h2>Задача</h2>
            <hr>
            <table class="form-table">
		        <tbody>
                    <tr>
                        <th>Создавать задачу</th>
                        <td>
                            <select name="wpforms-amocrm[task][task_status]" class="large-text">
                                <option value="1" <?php echo  $fields['task']['task_status'] ? 'selected' : ''; ?>>Да</option>
                                <option value="0" <?php echo !$fields['task']['task_status'] ? 'selected' : ''; ?>>Нет</option>
                            </select>
                        </td>
                        <td></td>
                    </tr>

                    <tr>
                        <th>Тип задачи</th>
                        <td>
                            <select name="wpforms-amocrm[task][task_type]">
                            <?php foreach($task_types as $task_type){ ?>
                                <option value="<?php echo $task_type['id'] ?>" <?php echo $task_type['id'] == $fields['task']['task_type'] ? 'selected' : ''; ?>><?php echo $task_type['name']; ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td></td>
                    </tr>

                    <tr>
                        <th>Описание задачи</th>
                        <td>
                            <input id="task_text" type="text" name="wpforms-amocrm[task][task_text]" value="<?php echo $fields['task']['task_text'] ?>">
                        </td>
                        <td></td>
                    </tr>

                    <tr>
                        <th>Дедлайн задачи через</th>
                        <td>
                            <input id="task_complete_till" type="text" name="wpforms-amocrm[task][task_complete_till]" value="<?php echo $fields['task']['task_complete_till'] ?>">
                        </td>
                        <td>
                            <select name="wpforms-amocrm[task][task_complete_till_times]">
                            <?php foreach($times as $time => $time_ru){ ?>
                                <option value="<?php echo $time ?>" <?php echo  $time === $fields['task']['task_complete_till_times'] ? 'selected' : ''; ?>><?php echo $time_ru ?></option>
                            <?php } ?>
                            </select>
                        </td>
                    </tr>

		        </tbody>  
		    </table>

            <h2>Примечание</h2>
            <hr>
            <table class="form-table">
		        <tbody>
                    <tr>
                        <th>Шаблон примечания</th>
                        <td>
                            <textarea id="note" name="wpforms-amocrm[note]" rows="15"><?php echo $note ?></textarea>
                        </td>
                        <td>
                            <div><b>Поля формы</b></div>
                            <div class="form_tags">
                                <span class="btn-xs btn-outline-primary"><?php echo implode('</span>, <span class="btn-xs btn-outline-primary">', $all_tags) ?></span>
                            </div>
                        </td>
                    </tr>
		        </tbody>  
		    </table>

            <h2>Контроль дублей</h2>
            <hr>
            <table class="form-table">
		        <tbody>

                    <tr>
                        <th>Статус</th>
                        <td>
                            <select name="wpforms-amocrm[antidub][status]">
                                <option value="1" <?php echo  $fields['antidub']['status'] ? 'selected' : '' ?> >Включено</option>
                                <option value="0" <?php echo !$fields['antidub']['status'] ? 'selected' : '' ?> >Отключено</option>
                            </select>
                        </td>
                        <td></td>
                    </tr>

                    <tr>
                        <th>Не перезаписывать поля</th>
                        <td>
                            <select class="chosen-select" name="wpforms-amocrm[antidub][ignore][]" multiple data-placeholder="Выбрать">
                                <?php foreach($antidub_fields as $field_id => $field_name){ ?>
                                <option value="<?= $field_id ?>" <?= ($ignore and in_array($field_id, $ignore)) ? 'selected' : '' ?>><?php echo $field_name ?></option>
                                <?php } ?>
                            </select>
                        </td>
                        <td>Выберите поля, которые не нужно перезаписывать у оригинала контакта/компании.</td>
                    </tr>

                    <tr>
                        <th>Переназначать ответственного</th>
                        <td>
                            <select class="chosen-select" name="wpforms-amocrm[antidub][change_responsible]">
                                <option value="1" <?php echo  $change_responsible ? 'selected' : '' ?> >Да</option>
                                <option value="0" <?php echo !$change_responsible ? 'selected' : '' ?> >Нет</option>
                            </select>
                        </td>
                        <td>При выборе "Да" у оригинала контакта/компании будет переназначен ответственный.</td>
                    </tr>
	
		        </tbody>
		    </table>

        </div>


        <br>
        <button type="submit" class="button button-primary button-large">Сохранить настройки</button>

    </div>
</form>
<script>
    var pipelines = <?php echo json_encode($amoPipelines); ?>;
    var pipeline_id = <?php echo $fields['pipeline_id'] ? $fields['pipeline_id'] : 'false'; ?>;
    var pipeline_status = "<?php echo $fields['p_status'] ? $fields['p_status'] : 'false'; ?>";
</script>