<?php 

    if( isset($_POST['action']) and $_POST['action'] === 'save_form' and isset($_POST['nonce']) and wp_verify_nonce( $_POST['nonce'], 'wpforms-amocrm-form') ){
        $_POST['wpforms-amocrm']['tags'] = isset($_POST['wpforms-amocrm']['tags']) ? $_POST['wpforms-amocrm']['tags'] : [];
        update_post_meta( $_POST['form_id'], 'wpforms-amocrm', ($_POST['wpforms-amocrm']) );
    }

    if( isset($_POST['action']) and $_POST['action'] === 'save_settings' and isset($_POST['nonce']) and wp_verify_nonce( $_POST['nonce'], 'wpforms-amocrm-settings') ){
        update_option( 'wpforms-amocrm', $_POST['wpforms-amocrm'], 'no' );
    }

    if( isset($_GET['clear']) and $_GET['clear']){
        getAmoWpform(1);
    }

    
    require_once (__DIR__ . '/fields_default.php');

    $settings = get_option('wpforms-amocrm');

    if(!isset($settings['utm']) ){
        $settings['utm'] = $utm_default;
    }

    if(!isset($settings['time_zone']) ){
        $settings['time_zone'] = 'Europe/Moscow';
    }

    $amo_settings = get_option('amocrm-wpforms-settings');
    if( !$amo_settings ){
        $amo_settings = getAmoWpform();
    }

    $amoFields = isset($amo_settings['fields']) ? $amo_settings['fields'] : ['0' => 'Поля не загружены'];
    $amoManagers = isset($amo_settings['managers']) ? $amo_settings['managers'] : ['0' => 'Менеджеры не загружены'];

    if( isset($_GET['form_id']) and $_GET['form_id'] ){
        $form = get_wpform($_GET['form_id']);
        $get_post_meta = get_post_meta( $_GET['form_id'], 'wpforms-amocrm', 1 );
        $fields = $get_post_meta ? ($get_post_meta) : [];
        $all_tags = $custom_tags;
        $all_tags[] = 'order_id';
        if($form['fields']){
            foreach($form['fields'] as $field_key => $form_field){
                $all_tags[] = $form_field['label'];
            }
        }
        $amoFields = isset($amo_settings['fields']) ? $amo_settings['fields'] : [0 => 'Не загружено'];
        $amoManagers = isset($amo_settings['managers']) ? $amo_settings['managers'] : ['0' => 'Менеджеры не загружены'];
        $amoPipelines = isset($amo_settings['pipelines']) ? $amo_settings['pipelines'] : ['0' => ['name' => 'Воронки не загружены']];
        $fields['task'] = isset($fields['status']) ? $fields['task'] : $task_default;
        $task_types = $amo_settings['task_types'];
        $note = isset($fields['note']) ? $fields['note'] : $note_default;
        
        $fields['status'] = isset($fields['status']) ? $fields['status'] : true;
        $fields['lead_name'] = isset($fields['lead_name']) ? $fields['lead_name'] : $lead_name_default;
        $fields['price'] = isset($fields['price']) ? $fields['price'] : 1000;
        $fields['pipeline_id'] = (!isset($fields['pipeline_id']) and $amoPipelines ) ? key($amoPipelines) : $fields['pipeline_id']; 
        $fields['tags'] = isset($fields['tags']) ? $fields['tags'] : $tags_default;

        $antidub_fields = isset($amo_settings['antidub_fields']) ? $amo_settings['antidub_fields'] : [0 => 'Не загружено'];
        $change_responsible = isset($fields['antidub']['change_responsible']) ? $fields['antidub']['change_responsible'] : 0;
        $ignore = isset($fields['antidub']['ignore']) ? $fields['antidub']['ignore'] : [];
        $fields['antidub']['status'] = isset($fields['antidub']['status']) ? $fields['antidub']['status'] : 0;

        // antidub

        //print_r($fields);

        require_once (__DIR__ . '/wpform_view.php');
    }else{
        $forms = get_wpforms();
        require_once (__DIR__ . '/settings_page.php');
    }
?>
