<form action="/wp-admin/options-general.php?page=amocrm_wpf" method="post">
    <input type="hidden" name="action" value="save_settings">
    <input type="hidden" name="nonce" value="<?php echo wp_create_nonce('wpforms-amocrm-settings'); ?>">
    <div class="wrap">
        <h2 class="aci-title">
            <span>Интеграция WPForms с amoCRM :: Настройки</span> 
            <a class="button button-order button-large" target="_blank" href="https://devamo.ru/wpforms/payurl?url=<?php echo $_SERVER['HTTP_HOST'] ?>">Оплатить подписку</a>
            <a class="button button-auth button-large" target="_blank" href="https://devamo.ru/wpforms/button">Авторизация в amoCRM</a>
            <a class="button button-default button-large" href="/wp-admin/options-general.php?page=amocrm_wpf&clear=1">Обновить данные amoCRM</a>
        </h2>

        <div class="card" style="max-width:100%">
            <h2 class="title">Все формы</h2>
            <hr>
            <div class="row">
                <table class="wp-list-table widefat fixed striped table-view-list forms">

                    <thead>
                        <tr>
                            <th scope="col" class="manage-column column-name column-primary desc">
                                <span>Имя</span>
                            </th>
                            <th scope="col" id="shortcode" class="manage-column column-shortcode">Шорткод</th>
                            <th scope="col" id="created" class="manage-column column-created desc">
                                <span>Создано</span>
                            </th>
                        </tr>
                    </thead>

                    <tbody id="the-list">
                        <?php if($forms){ ?>
                            <?php foreach($forms as $form){ ?>
                            <tr>
                                <td class=" column-name has-row-actions column-primary">
                                    <a href="/wp-admin/options-general.php?page=amocrm_wpf&form_id=<?= $form['ID'] ?>" title="Редактировать форму">
                                        <strong><?= $form['post_title'] ?></strong>
                                    </a>
                                </td>
                                <td class="shortcode column-shortcode">[wpforms id="<?= $form['ID'] ?>"]</td>
                                <td class="created column-created"><?= $form['post_date'] ?></td>
                            </tr>
                            <?php } ?>
                        <?php } ?>
                    </tbody>

                </table>

            </div>
        </div>

        <div class="card" style="max-width:100%">

            <div class="timezone">

                <div class="row">
                    <div class="name">Часовой пояс для amoCRM</div>
                    <div class="value">

                        <select id="time_zone" name="wpforms-amocrm[time_zone]">
                            <option value="0">Не выбрано</option>
                            <?php if($time_zones){ ?>
                            <?php foreach($time_zones as $time_zone_name => $time_zone_value){ ?>
                            <option value="<?php echo $time_zone_value ?>" <?php echo $time_zone_value === $settings['time_zone'] ? 'selected' : '' ?>><?php echo $time_zone_name ?></option>
                            <?php } ?>
                            <?php } ?>
                        </select>

                    </div>
                    <div class="value"></div>
                </div>

            </div>
            
		</div>
        <br>
        <button type="submit" class="button button-primary button-large">Сохранить настройки</button>

    </div>
</form>

<script>
jQuery(document).ready(function($) {
    var amofields = <?php echo json_encode($amoFields); ?>;
    var utm_i = <?php echo isset($settings['utm']) ? array_key_last($settings['utm']) : 0; ?>;

    $(document).on('click', '.newutm', function(){
        utm_i++;
        var options = '';
        $.each(amofields, function(field_id, field_name){
            options += '<option value="'+field_id+'">'+field_name+'</option>';
        });
        $('.utms').append('<div class="row"> <div class="utm"></div> <div class="name"> <input type="text" name="wpforms-amocrm[utm]['+utm_i+'][name]" value=""> </div> <div class="value"> <select id="utm" name="wpforms-amocrm[utm]['+utm_i+'][value]">'+options+'</select> </div> <div class="value"> <div class="button button-primary button-large removeutm">Удалить</div> </div> </div>');
    });
    
    $(document).on('click', '.removeutm', function(){
        $(this).parents('.row').remove();
    });
});
</script>
<link href="<?php echo plugins_url('wpforms-amocrm/css/main.css?v='.time()); ?>" type="text/css" rel="stylesheet" />

